diff --git v8/v8.spec v8/v8.spec.tmp
index 635c90ddb2..74a7f0acda 100644
--- v8/v8.spec
+++ v8/v8.spec.tmp
@@ -25,7 +25,7 @@
 
 Name:		v8
 Version:	%{somajor}.%{sominor}.%{sobuild}
-Release:	12%{?dist}
+Release:	13%{?dist}
 Epoch:		1
 Summary:	JavaScript Engine
 Group:		System Environment/Libraries
@@ -68,11 +68,14 @@ Requires:	%{name} = %{epoch}:%{version}-%{release}
 %description devel
 Development headers and libraries for v8.
 
-%package python
+%package -n python2-v8
+%{?python_provide:%python_provide python2-v8}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python libraries from v8
 Requires:	%{name} = %{epoch}:%{version}-%{release}
 
-%description python
+%description -n python2-v8
 Python libraries from v8.
 
 %prep
@@ -227,10 +230,14 @@ chmod -R -x %{buildroot}%{python_sitelib}/*.py*
 %{_libdir}/*.so
 %{_libdir}/*.a
 
-%files python
+%files -n python2-v8
 %{python_sitelib}/j*.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:5.2.258-13
+- Python 2 subpackage renamed to python2-v8
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.2.258-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git vdsm/vdsm.spec vdsm/vdsm.spec.tmp
index 7e2ea88f65..323c427b2f 100644
--- vdsm/vdsm.spec
+++ vdsm/vdsm.spec.tmp
@@ -47,7 +47,7 @@
 
 Name:           %{vdsm_name}
 Version:        4.18.999
-Release:        443.git0bb7717%{?dist}%{?extra_release}
+Release:        444.git0bb7717%{?dist}%{?extra_release}
 Summary:        Virtual Desktop Server Manager
 
 Group:          Applications/System
@@ -325,7 +325,10 @@ Requires:       python >= 2.6
 %description yajsonrpc
 A JSON RPC server and client implementation.
 
-%package python
+%package -n python2-vdsm
+%{?python_provide:%python_provide python2-vdsm}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        VDSM python libraries
 Requires:       %{name}-api = %{version}-%{release}
 BuildArch:      noarch
@@ -333,7 +336,7 @@ Requires:       python-cpopen >= 1.4
 Requires:       m2crypto
 Requires:       python-ioprocess >= 0.16.1-1
 
-%description python
+%description -n python2-vdsm
 Shared libraries between the various VDSM packages.
 
 %package tests
@@ -1103,7 +1106,7 @@ exit 0
 %{_datadir}/%{vdsm_name}/bonding-defaults.json
 %{_datadir}/%{vdsm_name}/bonding-name2numeric.json
 
-%files python
+%files -n python2-vdsm
 %{_mandir}/man1/vdsm-tool.1*
 %{_bindir}/vdsm-tool
 %dir %{python_sitelib}/%{vdsm_name}
@@ -1599,6 +1602,10 @@ exit 0
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.18.999-444.git0bb7717
+- Python 2 subpackage renamed to python2-vdsm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.18.999-443.git0bb7717
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git vigra/vigra.spec vigra/vigra.spec.tmp
index 6ffdc3f2a2..641bf18c4a 100644
--- vigra/vigra.spec
+++ vigra/vigra.spec.tmp
@@ -2,7 +2,7 @@
 Summary:        Generic Programming for Computer Vision
 Name:           vigra
 Version:        1.11.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 License:        MIT
 Group:          Development/Libraries
 # The "Lenna" files are non-free, we need to remove them from the source tarball.
@@ -47,12 +47,15 @@ The vigra-devel package includes the header files necessary for developing
 programs that use the vigra library.
 
 %if ! 0%{?rhel}
-%package python
+%package -n python2-vigra
+%{?python_provide:%python_provide python2-vigra}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python interface for the vigra computer vision library
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: numpy numpy-f2py
 
-%description python
+%description -n python2-vigra
 The vigra-python package provides python bindings for vigra
 %endif
 
@@ -106,12 +109,16 @@ rm -rf %{buildroot}
 %doc doc/vigra doc/vigranumpy
 
 %if ! 0%{?rhel}
-%files python
+%files -n python2-vigra
 %{python_sitearch}/vigra
 %{_libdir}/vigranumpy
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.11.0-9
+- Python 2 subpackage renamed to python2-vigra
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git volume_key/volume_key.spec volume_key/volume_key.spec.tmp
index 53842d3f63..403b49ac5c 100644
--- volume_key/volume_key.spec
+++ volume_key/volume_key.spec.tmp
@@ -3,7 +3,7 @@
 Summary: An utility for manipulating storage encryption keys and passphrases
 Name: volume_key
 Version: 0.3.9
-Release: 14%{?dist}
+Release: 15%{?dist}
 License: GPLv2
 Group: Applications/System
 URL: https://pagure.io/volume_key/
@@ -57,12 +57,13 @@ back up can also be useful for extracting data after a hardware or software
 failure that corrupts the header of the encrypted volume, or to access the
 company data after an employee leaves abruptly.
 
-%package -n python-volume_key
+%package -n python2-volume_key
+%{?python_provide:%python_provide python2-volume_key}
 Summary: Python bindings for libvolume_key
 Group: System Environment/Libraries
 Requires: volume_key-libs%{?_isa} = %{version}-%{release}
 
-%description -n python-volume_key
+%description -n python2-volume_key
 This package provides Python bindings for libvolume_key, a library for
 manipulating storage volume encryption keys and storing them separately from
 volumes.
@@ -114,13 +115,17 @@ rm -rf $RPM_BUILD_ROOT
 %doc AUTHORS COPYING ChangeLog NEWS
 %{_libdir}/libvolume_key.so.*
 
-%files -n python-volume_key
+%files -n python2-volume_key
 %defattr(-,root,root,-)
 %exclude %{python_sitearch}/_volume_key.la
 %{python_sitearch}/_volume_key.so
 %{python_sitearch}/volume_key.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.9-15
+- Python 2 subpackage renamed to python2-volume_key
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git vtk/vtk.spec vtk/vtk.spec.tmp
index a7961608c8..abb0cfb313 100644
--- vtk/vtk.spec
+++ vtk/vtk.spec.tmp
@@ -17,7 +17,7 @@
 Summary: The Visualization Toolkit - A high level 3D visualization library
 Name: vtk
 Version: 7.1.1
-Release: 4%{?dist}
+Release: 5%{?dist}
 # This is a variant BSD license, a cross between BSD and ZLIB.
 # For all intents, it has the same rights and restrictions as BSD.
 # http://fedoraproject.org/wiki/Licensing/BSD#VTKBSDVariant
@@ -185,11 +185,14 @@ Requires: vtk%{?_isa} = %{version}-%{release}
 %description tcl
 tcl bindings for VTK.
 
-%package python
+%package -n python2-vtk
+%{?python_provide:%python_provide python2-vtk}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for VTK
 Requires: vtk%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-vtk
 python bindings for VTK.
 
 %if %{with java}
@@ -736,9 +739,9 @@ cat xorg.log
 
 %postun tcl -p /sbin/ldconfig
 
-%post python -p /sbin/ldconfig
+%post -n python2-vtk -p /sbin/ldconfig
 
-%postun python -p /sbin/ldconfig
+%postun -n python2-vtk -p /sbin/ldconfig
 
 %if %{with java}
 %post java -p /sbin/ldconfig
@@ -785,7 +788,7 @@ cat xorg.log
 %{tcl_sitelib}/vtk/
 %exclude %{tcl_sitelib}/vtk/vtktcl.c
 
-%files python
+%files -n python2-vtk
 %{python2_sitearch}/*
 %{_libdir}/vtk/*Python27D.so.*
 %exclude %{_libdir}/vtk/*QtPython27D.so.*
@@ -935,6 +938,10 @@ cat xorg.log
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 7.1.1-5
+- Python 2 subpackage renamed to python2-vtk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git weasyprint/weasyprint.spec weasyprint/weasyprint.spec.tmp
index 2b7e321887..a2c1299de3 100644
--- weasyprint/weasyprint.spec
+++ weasyprint/weasyprint.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           weasyprint
 Version:        0.22
-Release:        8%{?dist}
+Release:        9%{?dist}
 Group:          Applications/File
 Summary:        Utility to render HTML and CSS to PDF
 License:        BSD
@@ -27,7 +27,8 @@ BuildRequires:  python3-devel python3-setuptools
 WeasyPrint can render HTML and CSS to PDF. It aims to support web standards
 for printing.
 
-%package -n python-weasyprint
+%package -n python2-weasyprint
+%{?python_provide:%python_provide python2-weasyprint}
 Group:          Development/Libraries
 Summary:        Python library to render HTML and CSS to PDF
 Requires:       python-tinycss python-cssselect python-pyphen
@@ -44,7 +45,7 @@ Requires:       dejavu-sans-fonts
 Requires:       dejavu-sans-mono-fonts
 Requires:       dejavu-serif-fonts
 
-%description -n python-weasyprint
+%description -n python2-weasyprint
 The WeasyPrint Python library is a rendering engine for HTML and CSS that
 can export to PDF. It aims to support web standards for printing.
 
@@ -108,7 +109,7 @@ popd
 %doc AUTHORS LICENSE README
 %{_bindir}/weasyprint
 
-%files -n python-weasyprint
+%files -n python2-weasyprint
 %doc AUTHORS CHANGES LICENSE README
 %{python_sitelib}/*
 
@@ -119,6 +120,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.22-9
+- Python 2 subpackage renamed to python2-weasyprint
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git wiredtiger/wiredtiger.spec wiredtiger/wiredtiger.spec.tmp
index a0c1f8dcd3..1e2bc619a3 100644
--- wiredtiger/wiredtiger.spec
+++ wiredtiger/wiredtiger.spec.tmp
@@ -1,6 +1,6 @@
 Name:           wiredtiger
 Version:        2.9.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A data storage engine
 # http://source.wiredtiger.com/develop/license.html
 License:        (GPLv2 or GPLv3) and MIT and BSD and ASL 2.0
@@ -44,11 +44,14 @@ Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 %description devel
 The wiredtiger-devel package provides the WiredTiger development files.
 
-%package python
+%package -n python2-wiredtiger
+%{?python_provide:%python_provide python2-wiredtiger}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for WiredTiger
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-wiredtiger
 The wiredtiger-python package provides WiredTiger python API.
 
 %package java
@@ -131,7 +134,7 @@ make check
 %{_libdir}/pkgconfig/%{name}.pc
 %{_includedir}/*
 
-%files python
+%files -n python2-wiredtiger
 %dir %{python_sitearch}/%{name}
 %{python_sitearch}/%{name}/*.py*
 %attr(0755, -, -) %{python_sitearch}/%{name}/_%{name}.so
@@ -141,6 +144,10 @@ make check
 %{_jnidir}/%{name}.jar
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.9.0-4
+- Python 2 subpackage renamed to python2-wiredtiger
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git xapian-bindings/xapian-bindings.spec xapian-bindings/xapian-bindings.spec.tmp
index 3c68068a03..429a1d1e11 100644
--- xapian-bindings/xapian-bindings.spec
+++ xapian-bindings/xapian-bindings.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:          xapian-bindings
 Version:       1.4.4
-Release:       3%{?dist}
+Release:       4%{?dist}
 Summary:       Bindings for the Xapian Probabilistic Information Retrieval Library
 
 License:       GPLv2+
@@ -31,12 +31,16 @@ offers a highly adaptable toolkit that allows developers to easily add advanced
 indexing and search facilities to applications. This package provides the
 files needed for scripts which use Xapian.
 
-%package python
+%package -n python2-xapian
+%{?python_provide:%python_provide python2-xapian}
+%{?python_provide:%python_provide python2-xapian-bindings}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:       Files needed for developing Python scripts which use Xapian
 Requires:      %{name} = %{version}-%{release}
 %{?python_provide:%python_provide python2-xapian}
 
-%description python
+%description -n python2-xapian
 Xapian is an Open Source Probabilistic Information Retrieval framework. It
 offers a highly adaptable toolkit that allows developers to easily add advanced
 indexing and search facilities to applications. This package provides the
@@ -98,7 +102,7 @@ rm -rf %{buildroot}%{_datadir}/doc/%{name}
 %license COPYING
 %doc AUTHORS NEWS README
 
-%files python
+%files -n python2-xapian
 %doc python/docs/examples
 %{python_sitearch}/xapian/
 
@@ -113,6 +117,10 @@ rm -rf %{buildroot}%{_datadir}/doc/%{name}
 %{_libdir}/tcl%{tcl_version}/xapian%{version}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.4-4
+- Python 2 subpackage renamed to python2-xapian-bindings
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git xmms2/xmms2.spec xmms2/xmms2.spec.tmp
index cb4addc627..604094ed8f 100644
--- xmms2/xmms2.spec
+++ xmms2/xmms2.spec.tmp
@@ -5,7 +5,7 @@
 Name:			xmms2
 Summary: 		A modular audio framework and plugin architecture
 Version:		0.8
-Release:		44%{?dist}
+Release:		45%{?dist}
 License:		LGPLv2+ and GPLv2+ and BSD
 Group:			Applications/Multimedia
 # We can't use the upstream source tarball as-is, because it includes an mp4 decoder.
@@ -77,12 +77,15 @@ Requires:	%{name} = %{version}-%{release}
 %description docs
 API documentation for the XMMS2 modular audio framework architecture.
 
-%package python
+%package -n python2-xmms2
+%{?python_provide:%python_provide python2-xmms2}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python support for XMMS2
 Group:		Applications/Multimedia
 Requires:	%{name} = %{version}-%{release}
 
-%description python
+%description -n python2-xmms2
 Python bindings for XMMS2.
 
 %package perl
@@ -210,7 +213,7 @@ rm -rf %{buildroot}
 %{perl_archlib}/Audio/
 %{perl_archlib}/auto/Audio/
 
-%files python
+%files -n python2-xmms2
 %defattr(-,root,root,-)
 %{python_sitearch}/xmmsclient/
 
@@ -227,6 +230,10 @@ rm -rf %{buildroot}
 %{_bindir}/nyxmms2
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8-45
+- Python 2 subpackage renamed to python2-xmms2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-44
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git xrootd/xrootd.spec xrootd/xrootd.spec.tmp
index 10e2233956..7e76cf1e72 100644
--- xrootd/xrootd.spec
+++ xrootd/xrootd.spec.tmp
@@ -13,7 +13,7 @@
 Name:		xrootd
 Epoch:		1
 Version:	4.6.1
-Release:	3%{?dist}
+Release:	4%{?dist}
 Summary:	Extended ROOT file server
 
 Group:		System Environment/Daemons
@@ -215,13 +215,16 @@ Requires:	%{name}-server%{?_isa} = %{epoch}:%{version}-%{release}
 This package contains a ceph back-end plug-in for xrootd.
 %endif
 
-%package python
+%package -n python2-xrootd
+%{?python_provide:%python_provide python2-xrootd}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for xrootd
 Group:		Development/Libraries
 Requires:	%{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
 Requires:	%{name}-client-libs%{?_isa} = %{epoch}:%{version}-%{release}
 
-%description python
+%description -n python2-xrootd
 This package contains Python bindings for xrootd.
 
 %package doc
@@ -603,13 +606,17 @@ fi
 %{_libdir}/libXrdCephPosix.so.*
 %endif
 
-%files python
+%files -n python2-xrootd
 %{python_sitearch}/*
 
 %files doc
 %doc %{_pkgdocdir}
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:4.6.1-4
+- Python 2 subpackage renamed to python2-xrootd
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.6.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git z3/z3.spec z3/z3.spec.tmp
index 94b9db9875..9c002de523 100644
--- z3/z3.spec
+++ z3/z3.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           z3
 Version:        4.5.0
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Satisfiability Modulo Theories (SMT) solver
 
 License:        MIT
@@ -82,11 +82,12 @@ Requires:       ocaml-%{name}%{?_isa} = %{version}-%{release}
 %description -n ocaml-%{name}-devel
 Files for building ocaml applications that use z3.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python 2 interface to z3
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python 2 interface to z3.
 
 %prep
@@ -245,10 +246,14 @@ mv %{buildroot}%{_prefix}/lib/lib%{name}java.so %{buildroot}%{_libdir}/%{name}
 %{_libdir}/ocaml/Z3/*.cmxa
 %{_libdir}/ocaml/Z3/*.mli
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/%{name}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.5.0-6
+- Python 2 subpackage renamed to python2-z3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git zinnia/zinnia.spec zinnia/zinnia.spec.tmp
index e1821cbc8a..78381368f5 100644
--- zinnia/zinnia.spec
+++ zinnia/zinnia.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:		zinnia
 Version:	0.06
-Release:	33%{?dist}
+Release:	34%{?dist}
 Summary:	Online handwriting recognition system with machine learning
 
 Group:		System Environment/Libraries
@@ -76,12 +76,15 @@ Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %description 	perl
 This package contains perl bindings for %{name}.
 
-%package 	python
+%package 	-n python2-zinnia
+%{?python_provide:%python_provide python2-zinnia}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python bindings for %{name}
 Group:		Development/Libraries
 Requires:	%{name} = %{version}-%{release}
 
-%description 	python
+%description 	-n python2-zinnia
 This package contains python bindings for %{name}.
 
 %package	tomoe-ja
@@ -198,7 +201,7 @@ rm -rf $RPM_BUILD_ROOT
 %{perl_vendorarch}/auto/%{name}/
 %{perl_vendorarch}/%{name}.pm
 
-%files	python
+%files	-n python2-zinnia
 %defattr(-,root,root,-)
 %{python_sitearch}/_%{name}.so
 %{python_sitearch}/%{name}*
@@ -214,6 +217,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/zinnia/model/tomoe/handwriting-zh_CN.model
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.06-34
+- Python 2 subpackage renamed to python2-zinnia
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-33
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git zookeeper/zookeeper.spec zookeeper/zookeeper.spec.tmp
index 4df098ab67..c5544e6ad2 100644
--- zookeeper/zookeeper.spec
+++ zookeeper/zookeeper.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:          zookeeper
 Version:       3.4.9
-Release:       4%{?dist}
+Release:       5%{?dist}
 Summary:       A high-performance coordination service for distributed applications
 License:       ASL 2.0 and BSD
 URL:           https://zookeeper.apache.org/
@@ -111,13 +111,14 @@ BuildArch:     noarch
 %description javadoc
 This package contains javadoc for %{name}.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:       Python support for %{name}
 Requires:      %{name}%{?_isa} = %{version}-%{release}
 Provides:      zkpython%{?_isa} = %{version}-%{release}
 Requires:      python2
 
-%description -n python-%{name}
+%description -n python2-%{name}
 The python-%{name} package contains Python bindings for %{name}.
 
 %prep
@@ -296,12 +297,16 @@ getent passwd zookeeper >/dev/null || \
 %{_javadocdir}/%{name}
 %doc LICENSE.txt NOTICE.txt
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python_sitearch}/ZooKeeper-?.?-py%{python_version}.egg-info
 %{python_sitearch}/zookeeper.so
 %doc LICENSE.txt NOTICE.txt src/contrib/zkpython/README
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.4.9-5
+- Python 2 subpackage renamed to python2-zookeeper
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.9-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git zorba/zorba.spec zorba/zorba.spec.tmp
index 5cdaeef4b8..84c121b87b 100644
--- zorba/zorba.spec
+++ zorba/zorba.spec.tmp
@@ -15,7 +15,7 @@
 
 Name:    zorba
 Version: 3.0.0
-Release: 32.%{snapshot}%{?dist}
+Release: 33.%{snapshot}%{?dist}
 Summary: General purpose XQuery processor implemented in C++
 Group:   System Environment/Libraries
 
@@ -103,13 +103,16 @@ the programming APIs.
 
 # Language bindings
 
-%package python
+%package -n python2-zorba
+%{?python_provide:%python_provide python2-zorba}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:  Python language binding for %{name}
 Group:    Development/Languages
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
 
-%description python
+%description -n python2-zorba
 This package provides the Python module to use the %{name} API.
 
 %if 0%{?build_php_binding}
@@ -252,7 +255,7 @@ install -D -m644 build/doc/zorba.1 %{buildroot}%{_mandir}/man1/zorba.1
 %{_includedir}/zorba/
 %{_datadir}/cmake/Modules/*
 
-%files python
+%files -n python2-zorba
 %{python_sitearch}/_zorba_api.so
 %{python_sitearch}/zorba_api.py*
 
@@ -276,6 +279,10 @@ install -D -m644 build/doc/zorba.1 %{buildroot}%{_mandir}/man1/zorba.1
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.0-33.20140621git152f8964c
+- Python 2 subpackage renamed to python2-zorba
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-32.20140621git152f8964c
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
